Problem in installing RT::Authen::ExternalAuth

Hi All,

I tried to install RT::Authen::ExternalAuth module ( version 0.08) for RT 3.8.4, but during installation its giving an error as :

Cannot determine perl version info from lib/RT/Authen/ExternalAuth.pm
Checking if your kit is complete…
Looks good
Warning: prerequisite RT 0 not found.
Writing Makefile for RT::Authen::ExternalAuth
---- Unsatisfied dependencies detected during ----
---- ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz ----
RT [requires]
Shall I follow them and prepend them to the queue
of modules we are processing right now? [yes] y
Running make test
Delayed until after prerequisites
Running make install
Delayed until after prerequisites
Running install for module ‘RT’

The module RT isn’t available on CPAN.

Either the module has not yet been uploaded to CPAN, or it is
temporary unavailable. Please contact the author to find out
more about the status. Try ‘i RT’.
Running make for Z/ZO/ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz
Has already been unwrapped into directory /root/.cpan/build/RT-Authen-ExternalAuth-0.08-s0b8RW

CPAN.pm: Going to build Z/ZO/ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

cp lib/RT/Authen/ExternalAuth.pm blib/lib/RT/Authen/ExternalAuth.pm
cp lib/RT/Authen/ExternalAuth/LDAP.pm blib/lib/RT/Authen/ExternalAuth/LDAP.pm
cp lib/RT/User_Vendor.pm blib/lib/RT/User_Vendor.pm
cp lib/RT/Authen/ExternalAuth/DBI/Cookie.pm blib/lib/RT/Authen/ExternalAuth/DBI/Cookie.pm
cp lib/RT/Authen/ExternalAuth/DBI.pm blib/lib/RT/Authen/ExternalAuth/DBI.pm
Manifying blib/man3/RT::Authen::ExternalAuth.3pm
Manifying blib/man3/RT::User_Vendor.3pm
ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz
/usr/bin/make – OK
Running make test
No tests defined for RT::Authen::ExternalAuth extension.
ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz
Tests succeeded but one dependency not OK (RT)
ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz
[dependencies] – NA
Running make install
make test had returned bad status, won’t install without force

I searched for RT modules but didn’t find.

Please help me to get out of this problem.

Thanks

Ratish

DISCLAIMER
This e-mail may contain privileged and confidential information which is the property of Persistent Systems Ltd. It is intended only for the use of the individual or entity to which it is addressed. If you are not the intended recipient, you are not authorized to read, retain, copy, print, distribute or use this message. If you have received this communication in error, please notify the sender and delete all copies of this message. Persistent Systems Ltd. does not accept any liability for virus infected mails.

Before installing the module w/ CPAN.

Note - /opt/rt3/lib is the default path - if you used a different

arg to --prefix during configure/install, use that as well.
export PERL5LIB=/opt/rt3/lib

Then run your cpan install. Paths in PERL5LIB are added (prepended?)
to @INC, allowing the RT modules to be found during run-time, thus
allowing CPAN to detect that the dependency for the module you’re
installing is satisfied.

-RobOn Tue, Jul 7, 2009 at 3:29 AM, Ratish Ravindranratish_ravindran@persistent.co.in wrote:

Hi All,

I tried to install RT::Authen::ExternalAuth module ( version 0.08) for RT
3.8.4, but during installation its giving an error as :

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Cannot determine perl version info from lib/RT/Authen/ExternalAuth.pm

Checking if your kit is complete…

Looks good

Warning: prerequisite RT 0 not found.

Writing Makefile for RT::Authen::ExternalAuth

---- Unsatisfied dependencies detected during ----

---- ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz ----

RT [requires]

Shall I follow them and prepend them to the queue

of modules we are processing right now? [yes] y

Running make test

Delayed until after prerequisites

Running make install

Delayed until after prerequisites

Running install for module ‘RT’

The module RT isn’t available on CPAN.

Either the module has not yet been uploaded to CPAN, or it is

temporary unavailable. Please contact the author to find out

more about the status. Try ‘i RT’.

Running make for Z/ZO/ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

Has already been unwrapped into directory
/root/.cpan/build/RT-Authen-ExternalAuth-0.08-s0b8RW

CPAN.pm: Going to build Z/ZO/ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

cp lib/RT/Authen/ExternalAuth.pm blib/lib/RT/Authen/ExternalAuth.pm

cp lib/RT/Authen/ExternalAuth/LDAP.pm
blib/lib/RT/Authen/ExternalAuth/LDAP.pm

cp lib/RT/User_Vendor.pm blib/lib/RT/User_Vendor.pm

cp lib/RT/Authen/ExternalAuth/DBI/Cookie.pm
blib/lib/RT/Authen/ExternalAuth/DBI/Cookie.pm

cp lib/RT/Authen/ExternalAuth/DBI.pm blib/lib/RT/Authen/ExternalAuth/DBI.pm

Manifying blib/man3/RT::Authen::ExternalAuth.3pm

Manifying blib/man3/RT::User_Vendor.3pm

ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

/usr/bin/make – OK

Running make test

No tests defined for RT::Authen::ExternalAuth extension.

ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

Tests succeeded but one dependency not OK (RT)

ZORDRAK/RT-Authen-ExternalAuth-0.08.tar.gz

[dependencies] – NA

Running make install

make test had returned bad status, won’t install without force

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

I searched for RT modules but didn’t find.

Please help me to get out of this problem.

Thanks

Ratish

DISCLAIMER ========== This e-mail may contain privileged and confidential
information which is the property of Persistent Systems Ltd. It is intended
only for the use of the individual or entity to which it is addressed. If
you are not the intended recipient, you are not authorized to read, retain,
copy, print, distribute or use this message. If you have received this
communication in error, please notify the sender and delete all copies of
this message. Persistent Systems Ltd. does not accept any liability for
virus infected mails.


http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Community help: http://wiki.bestpractical.com
Commercial support: sales@bestpractical.com

Discover RT’s hidden secrets with RT Essentials from O’Reilly Media.
Buy a copy at http://rtbook.bestpractical.com